当前位置: 动力学知识库 > 问答 > 编程问答 >

javascript - Which Nodejs version should I set up on an old Windows XP machine?

问题描述:

Trying to set up Nodejs on an old computer (1GB ram, 900 Mhz) with Windows XP SP3 on it.

I installed the latest x86 version of Node (4.4.5) but when I trying to access it at command line (like a simple version check node -version) it stops working and showing me that it encountered an problem and needs to close.

I suppose this newer versions not supporting XP anymore. Which version should I use on XP? Is it safe to use on a production environment?

网友答案:

Support for XP has been dropped in v6 so technically a v4 release should still work.

I think the problem is hardly anyone actually uses XP so you are going to be fighting a losing battle. Even if you raise an issue people aren't going to run to fix XP bugs.

You could try the latest 0.12 release.

分享给朋友:
您可能感兴趣的文章:
随机阅读: